

module Tomte
module Agent

class VhostsProvisioner < Tomte::Agent::Async

  DEFAULT_OPTIONS = {
#    :version => Tomte::AuthDns::VERSION,
  }

  read_configuration 'vhosts_provisioner.yml', :path => :application, :queue => :before
  read_configuration 'vhosts_provisioner.yml', :path => :system

  help_text 'VHost provisioning agent'
  base_configuration :vhosts_provisioner, DEFAULT_OPTIONS
  needs_privilege_management

  has_worker :vhosts_provisioner, :class => 'Ygg::Vhosts::Provisioner::Worker',
             :file => 'ygg/vhosts/provisioner/worker.rb'

  # defines additional configuration actions
  additional_options('Options') do |options, opts, config|
  end

  def init(options = {})
    log.debug "= VHosts provisioner agent initializing"
  end
end

end
end
